Namespace
library
Image / Tag
docker:20.10.14-dind
Content Digest
sha256:210076c7772f47831afaf7ff200cf431c6cd191f0d0cb0805b1d9a996e99fb5e
Details
Created

2022-04-05 11:02:57 UTC

Size

72.6 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.14

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:df9b9388f04ad6279a7410b85cedfdcb2208c0a003da7ab5613af71079148139 - 3.7% (2.68 MB)

[#001] sha256:c60e3bd692ff4ff4d32e553972ecdb6781dd2c64e1b8ce0ea011f36caf237816 - 2.59% (1.88 MB)

[#002] sha256:36df9e333c707e825d69eb4d7bff03bb32304316c692a4a4a6cdf2860b94ccd9 - 0.0% (154 Bytes)

[#003] sha256:335507422d7f6524df2b4fc0f8a0c78b1c1e61e8d308dafd67da8da9c39f55d6 - 84.86% (61.6 MB)

[#004] sha256:9b18125cc2d27af3a9197591ac217431c4fc6064285b86e53999fad8e17c6cee - 0.0% (543 Bytes)

[#005] sha256:cf930f6823a9774d33765edbd3dcc9ea0ea8e5463ce7dade2e323da18e2bbc98 - 0.0% (1015 Bytes)

[#006] sha256:7048a2a9629e4e35e89c70f592f04400913adf651643325e83f31e7618599d58 - 0.0% (150 Bytes)

[#007] sha256:dd0af8a24b3d99f5d1b97b69005e6e5e973fd76878eb63382937c166cdf5441e - 8.85% (6.42 MB)

[#008] sha256:d4c69def9f2284d6ca51f913d19f45240f7051c275501a791efcbf2390a18704 - 0.0% (1.29 KB)

[#009] sha256:2998284497aa95875ef53929de1b46642eec185be6f5dd1a1e772dbce1761102 - 0.0% (958 Bytes)

[#010] sha256:67900e1c727f6291a49060673983d9297ce9a47b8e599f10fb276e8ff7973f4f - 0.0% (2.68 KB)


History
2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) ADD file:5d673d25da3a14ce1f6cf66e4c7fd4f4b85a3759a9d93efb3fd9ff852b5b56e4 in /

2022-04-05 00:19:59 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 11:02:42 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-04-05 11:02:43 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 11:02:43 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.14

2022-04-05 11:02:49 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.14.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.14.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.14.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.14.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-04-05 11:02:49 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-04-05 11:02:49 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-04-05 11:02:49 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-04-05 11:02:50 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-04-05 11:02:50 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 11:02:50 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-04-05 11:02:55 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2022-04-05 11:02:56 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2022-04-05 11:02:56 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2022-04-05 11:02:57 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2022-04-05 11:02:57 UTC

/bin/sh -c #(nop) COPY file:45c7926c5d79023b457ad24274c893b1fc21f241bed46421dc901b8237045f17 in /usr/local/bin/

2022-04-05 11:02:57 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2022-04-05 11:02:57 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2022-04-05 11:02:57 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2022-04-05 11:02:57 UTC

/bin/sh -c #(nop) CMD []

Details
Created

2022-04-05 08:57:29 UTC

Size

66.6 MB

Content Digest
Environment
DIND_COMMIT

42b1175eda071c0e9121e1d64345928384a93df1

DOCKER_TLS_CERTDIR

/certs

DOCKER_VERSION

20.10.14

PATH

/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:9981e73032c8833e387a8f96986e560edbed12c38119e0edb0439c9c2234eac9 - 3.89% (2.59 MB)

[#001] sha256:77b8a1a2bc336776643f1641eb7c6c2c8fbe180e51541b40d7abec0ceb17668b - 2.78% (1.85 MB)

[#002] sha256:fa25d67de920b612e26aef152b86d46e8cd4eb0e7e991d33f616108107c752e3 - 0.0% (153 Bytes)

[#003] sha256:03acc3d19634c8933a32eec790bea497e6cb2aa8f1d3d907767a8b04822c7385 - 83.85% (55.9 MB)

[#004] sha256:0111c96643ec7aae5a4c706e059b855a3c4e91100c63903c4008dc6f1f91cb86 - 0.0% (542 Bytes)

[#005] sha256:d62420f2b46a4ea3baef867a8fc35c1edbe11d37e4d41cd7edee7216483cf69b - 0.0% (1016 Bytes)

[#006] sha256:b46884770b98e15a8879e0af3cd85abcc6c6ff1cec480fc0d1c35bc7d38a11f7 - 0.0% (117 Bytes)

[#007] sha256:b0f4ad117037b81b9224d076dd4aefc95febb995806d9eb392aa71d24d1e6d17 - 9.47% (6.31 MB)

[#008] sha256:dc1b7685ea6803933ff929fc8f998e000d55c97e0dee19cb86f659fa95b6e1fa - 0.0% (1.26 KB)

[#009] sha256:9e1aa23baa90e93fa870d6defcc88be8db2d3566df1e9c17bf1dd2c4d446a778 - 0.0% (957 Bytes)

[#010] sha256:8389b10af9ec7d0c040b6d923a61d552aa26ff55531dbe438d8d78dedf9ca2ed - 0.0% (2.68 KB)


History
2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) ADD file:90e56af13188c7f0283d244a0d70b853d8bef8587a41f1da8eac3a2aba8964ef in /

2022-04-04 23:39:31 UTC

/bin/sh -c #(nop) CMD ["/bin/sh"]

2022-04-05 08:57:00 UTC

/bin/sh -c apk add --no-cache ca-certificates libc6-compat openssh-client

2022-04-05 08:57:00 UTC

/bin/sh -c [ ! -e /etc/nsswitch.conf ] && echo 'hosts: files dns' > /etc/nsswitch.conf

2022-04-05 08:57:01 UTC

/bin/sh -c #(nop) ENV DOCKER_VERSION=20.10.14

2022-04-05 08:57:06 UTC

/bin/sh -c set -eux; apkArch="$(apk --print-arch)"; case "$apkArch" in 'x86_64') url='https://download.docker.com/linux/static/stable/x86_64/docker-20.10.14.tgz'; ;; 'armhf') url='https://download.docker.com/linux/static/stable/armel/docker-20.10.14.tgz'; ;; 'armv7') url='https://download.docker.com/linux/static/stable/armhf/docker-20.10.14.tgz'; ;; 'aarch64') url='https://download.docker.com/linux/static/stable/aarch64/docker-20.10.14.tgz'; ;; *) echo >&2 "error: unsupported architecture ($apkArch)"; exit 1 ;; esac; wget -O docker.tgz "$url"; tar --extract --file docker.tgz --strip-components 1 --directory /usr/local/bin/ ; rm docker.tgz; dockerd --version; docker --version

2022-04-05 08:57:07 UTC

/bin/sh -c #(nop) COPY file:abb137d24130e7fa2bdd38694af607361ecb688521e60965681e49460964a204 in /usr/local/bin/modprobe

2022-04-05 08:57:08 UTC

/bin/sh -c #(nop) COPY file:5b18768029dab8174c9d5957bb39560bde5ef6cba50fbbca222731a0059b449b in /usr/local/bin/

2022-04-05 08:57:08 UTC

/bin/sh -c #(nop) ENV DOCKER_TLS_CERTDIR=/certs

2022-04-05 08:57:09 UTC

/bin/sh -c mkdir /certs /certs/client && chmod 1777 /certs /certs/client

2022-04-05 08:57:10 UTC

/bin/sh -c #(nop) ENTRYPOINT ["docker-entrypoint.sh"]

2022-04-05 08:57:11 UTC

/bin/sh -c #(nop) CMD ["sh"]

2022-04-05 08:57:21 UTC

/bin/sh -c set -eux; apk add --no-cache btrfs-progs e2fsprogs e2fsprogs-extra ip6tables iptables openssl shadow-uidmap xfsprogs xz pigz ; if zfs="$(apk info --no-cache --quiet zfs)" && [ -n "$zfs" ]; then apk add --no-cache zfs; fi

2022-04-05 08:57:22 UTC

/bin/sh -c set -eux; addgroup -S dockremap; adduser -S -G dockremap dockremap; echo 'dockremap:165536:65536' >> /etc/subuid; echo 'dockremap:165536:65536' >> /etc/subgid

2022-04-05 08:57:23 UTC

/bin/sh -c #(nop) ENV DIND_COMMIT=42b1175eda071c0e9121e1d64345928384a93df1

2022-04-05 08:57:24 UTC

/bin/sh -c set -eux; wget -O /usr/local/bin/dind "https://raw.githubusercontent.com/docker/docker/${DIND_COMMIT}/hack/dind"; chmod +x /usr/local/bin/dind

2022-04-05 08:57:26 UTC

/bin/sh -c #(nop) COPY file:45c7926c5d79023b457ad24274c893b1fc21f241bed46421dc901b8237045f17 in /usr/local/bin/

2022-04-05 08:57:26 UTC

/bin/sh -c #(nop) VOLUME [/var/lib/docker]

2022-04-05 08:57:27 UTC

/bin/sh -c #(nop) EXPOSE 2375 2376

2022-04-05 08:57:28 UTC

/bin/sh -c #(nop) ENTRYPOINT ["dockerd-entrypoint.sh"]

2022-04-05 08:57:29 UTC

/bin/sh -c #(nop) CMD []

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete